[Testing] X11(simple desktop) + Chromium(web browser) in a simple installer for Stretch


#224

As long as it’s in the debian for armhf it should be doable, but remember it’s a device with limited memory.


#225

I try with ssh, sudo apt-get install p7zip and the installation is ok but I didn’t found my installation.


#226

have you restrted X?, sometime that’s needed to get it in the “start menu”


#227

Yes I have restarted X and nothing.


#228

Package: p7zip (16.02+dfsg-3)
7zr file archiver with high compression ratio
p7zip is the Unix command-line port of 7-Zip, a file archiver that handles the 7z format which features very high compression ratios.

That’s from debian stretch, so no Xwindows support, unless you run it in terminal

Here is an alternative for you, I’ve not tested it. http://www.peazip.org/peazip-linux-arm.html


#230

Thanks ! I try to install peazip

The installation doesn’t work.
Ssh : sudo http://www.peazip.org/peazip-linux-arm.html --> Download ok
sudo apt-get install Peazip-for-ARM

And nothing


#231

It’s not a -deb file and apt-get installs from the repository.

tar zxvf pea-gtk2-arm.tar.gz

then you got a folder in osmc home directory that contains among others an executable file, which you can start from command line or learn howto make an icon in lcde desktop (google is your friend).


#232

Ok thank you. I will try to do this.
Another question, do you know if a sopcast player can be installed on osmc like Ubuntu?
Thank you.


#233

Well even if it can be installed it would not be Hardware accelerated so quite useless.


#234

Hi @joakim_s

Do we need to run the installer again after updating to stretch?

During the stretch december update noticed osmc error on file desktop-file-utilts.

Im running the update again see if it solves it.

Cheers


#235

it should be solved by installing that package only after update, if it fails.

sudo apt-get install desktop-file-utils

Reinstall is not needed, but recommended, since there is a change in x_init.sh which you can edit yourself by copying the row under “startx” so the same line in above too.

I would do a clean stretch and then install my plugin, since you get the new chromium that comes with Stretchs Chromium v.63 (still no accelleration :frowning: )


#236

Thanks for reply

What line do i need to add to x_init.sh. Here is my file

#!/bin/bash
sleep 2
sudo fbi -T 7 -d /dev/fb0 --noverbose /home/osmc/Pictures/Desktop/lxdewallpaper.jpg &
sleep 3
sudo su osmc -c "startx"
sudo openvt -c 7 -s -f clear
sudo systemctl start mediacenter
exit

I installed new version of chromium manually before. Ill try manual install v63. Is this the correct file?

https://launchpad.net/~canonical-chromium-builds/+archive/ubuntu/stage/+build/13832764/+files/chromium-browser_63.0.3239.84-0ubuntu0.17.10.1_armhf.deb

Yeah pity about no accelleration. Guess stretch didnt make it any easier.

Thanks for trying anyways :slight_smile:


#237

sudo apt-get install chromium

tht will give you debians chromium v.63, this approach will not replace your v.51 so you will have two chromiuma installed.

copy line 6 and insert that on a line before startx line


#238

so it this correct?

#!/bin/bash
sleep 2
sudo fbi -T 7 -d /dev/fb0 --noverbose /home/osmc/Pictures/Desktop/lxdewallpaper.jpg &
sleep 3
sudo openvt -c 7 -s -f clear
sudo su osmc -c "startx"
sudo openvt -c 7 -s -f clear
sudo systemctl start mediacenter
exit

If i install v63 manually like same way i installed before stretch will that replace the version and not have two chromiums?

Is there a difference between the apt-get method and the manual install. Do you recommend installing from the apt-get install method?

Thanks


#239

Yes looks correct.

About replacing chromium i’m not sure, i never tried. I allways do a clean install, but i got like 2 plugins, both my own. +netflix and viaplay in leila, but i’v just gone back to v.17 again.


#240

Off topic i know - but will this script work on Libreelec.TV build ? Im running a Odroid C2 unit (so i get 4k HDMI playback), and would love to be able to launch a desktop from Kodi.

You mentioned also about the process of Quit Kodi > Launch desktop > Quit Desktop > Launch Kodi any way to achieve that?

Thanks


#241

AFAIK no apt-get capability on libreelec so the other is NO

Well interesting enough someone recently asked the question in the libreelec forum


#242

My variation is that I only want to run the X desktop manager remotely. From your setup, it looks fairly generic so obviously does not install the “mesa” stuff. Somewhere along the line over the last 2 years, the “mesa” stuff has arrived on my Pi.

But it does give me greater confidence that I will eventually make it all work with the proviso that some future update may blow it up again.

I can actually live without Kodi (ON the Pi) for a while as a TV update last year vastly improved the capabilities on that side so my TV can see all my videos incl. recordings anyway.


#243

Joakim_Sandstrom…

I see you are trying to build an accelerated chrome for our Vero boxes (i myself got a vero4).
Do you know if it will ever be possible to use this plugin with HBO-Nordic?

I am not so much into this but have read somewhere that HBO Nordic use flash plugin, or html5 player (not sure about this)…

After Netflix is working on v18, it would be cool to have HBO working also, and if thats possible, i think osmc shop will be quickly emptyied :grin:

What do you think?

(( Ohh… btw i have this HBO Nordic, so i can try whatever.
Also i got a linux mint laptop here, but i didn’t get it to work yet ))

I will investigate some more about howto play HBO Nordic content.

Rgds; Jesper.


#244

Despite the installer script finishing with a “Thank you for using my installer”, there was no option to enable the X11 Launcher in My add-ons. Scrolling up in the terminal I found:

Errors were encountered while processing:                                                                                                                                 
 /tmp/apt-dpkg-install-mQ2u6w/044-gnome-icon-theme_3.12.0-2_all.deb                                                                                                       
 /tmp/apt-dpkg-install-mQ2u6w/078-chromium_63.0.3239.84-1~deb9u1_armhf.deb                                                                                                
E: Sub-process /usr/bin/dpkg returned an error code (1)

How to proceed now?

Thanks.